package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.MemberFavoriteEntity;

import java.util.List;
import java.util.Map;

/**
 * 用户收藏
 *
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-30 11:40:27
 */
public interface MemberFavoriteService extends IService<MemberFavoriteEntity> {

    PageUtils queryPage(Map<String, Object> params);

    PageUtils queryFavoritePage(Integer userId, Map<String, Object> params);

    List<MemberFavoriteEntity> getRecentList(Integer userId);

    MemberFavoriteEntity getOneFavorite(Long memberid, Long did);

	List<String> getHotWord();

	MemberFavoriteEntity getOneRecent(Long did, Long memberId);

}

